package org.nl.system.service.logicflow;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.nl.common.domain.query.PageQuery;
import org.nl.system.service.logicflow.dao.Stage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 舞台主表 服务类
 * </p>
 *
 * @author generator
 * @since 2023-05-08
 */
public interface IStageService extends IService<Stage> {

    /**
     * 分页查询
     * @param whereJson
     * @param page
     * @return
     */
    IPage<Stage> queryAll(Map whereJson, PageQuery page);

    /**
     * 新增
     * @param dto
     */
    void create(Stage dto);

    /**
     * 修改
     * @param dto
     */
    void update(Stage dto);

    /**
     * 删除
     * @param ids
     */
    void deleteAll(Set<String> ids);

    /**
     * 前端舞台下拉选列表
     *
     * @return
     */
    List<Stage> selectList();

    /**
     * 添加舞台数据
     * @param dto
     */
    void addNewStage(Stage dto);
}
